import httpService from './http.service'
class configService {
    constructor(vueThis) {
        this.vm = vueThis;  //vue中的this  也可以不用
    }
    //配置模块列表
    getConfigTemList(data){
         return httpService.get(`modules/template/list` , data ? data : {} , true)
    }
    //配置模块列表详情
    getConfigTemListInfo(templateCode,data){
        return httpService.get(`modules/template/info/${templateCode}` , data ? data : {} , true,{loading:1})
   }
    //新增模块列表
    saveConfigTempList(data,doThing){
        return httpService.post(`modules/template/${doThing}` , data ? data : {} , true)
   }
    //删除模块列表
    delConfigTempList(data){
        return httpService.post(`modules/template/deleteBatch` , data ? data : {} , true)
    }
    //提交模块列表
    submitConfigTempList(data){
    return httpService.post(`modules/template/commit` , data ? data : {} , true)
   }
    //配置文件列表
    getConfigFileList(data){
        return httpService.get(`modules/config/list` , data ? data : {} , true)
   }
    //配置文件列表详情
    getConfigFileInfo(configCode,qryType,data){
        return httpService.get(`modules/config/info/${configCode}/${qryType}` , data ? data : {} , true)
   }
    //删除模块列表
    delConfigFileList(data){
        return httpService.post(`modules/config/deleteBatch` , data ? data : {} , true)
    }
    //提交模块列表
    submitConfigFileList(data){
        return httpService.post(`modules/config/commit` , data ? data : {} , true)
   }
   //新增配置文件
   saveConfigFile(data,doThing){
    return httpService.post(`modules/config/${doThing}` , data ? data : {} , true,{loading:1})
    }
     //图片上传
     postImgupLoad(data){
        return httpService.post('modules/config/upLoadImg' , data ? data : {} , true)
    }
   
}
export  default  configService