import httpService from './http.service'

class deviceService {
    constructor(vueThis) {
        this.vm = vueThis;  //vue中的this  也可以不用
    }
    //设备列表 根据设备名称和ip
    getDeviceList(data){
        return httpService.get(`modules/device/info` , data ? data : {} , true)
    }
    //获取可纳管的设备列表
    getManageDeviceList(data){
        return httpService.get(`modules/device/natube/info` , data ? data : {} , true)
    }
    //添加设备
    addDevice(data){
        return httpService.post(`modules/device/natube/save` , data ? data : {} , true)
    }
    //删除某个设备
    deleteDevice(devId,data){
        return httpService.post(`modules/device/delete/${devId}` , data ? data : {} , true)
    }
}
export  default  deviceService
