import httpService from './http.service'

class deviceConfigOnline {
    constructor(vueThis) {
        this.vm = vueThis;  //vue中的this  也可以不用
    }
    //设备列表 
    getdeviceAutoOnline(data){
        return httpService.get('modules/deviceAutoOnline/list' , data ? data : {} , true, {loading:1})
    }
    //查询场景列表
    getdeviceAutolistScene(data){
        return httpService.get('modules/deviceAutoConfig/listScene' , data ? data : {} , true)
    }
    // 查询配置文件列表
    getConfigFileList(data){
        return httpService.get(`modules/config/list` , data ? data : {} , true)
    }
    //查询配置文件列表详情
    getConfigFileInfo(configCode,data){
        return httpService.get(`modules/config/info/${configCode}/1` , data ? data : {} , true)
    }
    //excel下载
    downLoadupLoad(configCode,num,data){
        return httpService.get(`modules/deviceAutoOnline/downLoad/${configCode}/${num}` , data ? data : {} , true)
    }
    //excel上传
    postxcelupLoad(data){
        return httpService.post('modules/deviceAutoOnline/upLoad' , data ? data : {} , true)
    }
    //新增或修改
    postsave(data,doThing){
        return httpService.post(`modules/deviceAutoOnline/${doThing}` , data ? data : {} , true)
    }
     //设备列表详情
     getdeviceAutoOnlineInfo(data){
        return httpService.get('modules/deviceAutoOnline/info' , data ? data : {} , true, )
    }
     //设备列表表格详情
     getdeviceAutoOnlinedevcieList(data){
        return httpService.get('modules/deviceAutoOnline/devcieList' , data ? data : {} , true, )
    }
     //设备列表弹框详情
     getdeviceAutoOnlinedevcieApInfo(data){
        return httpService.get('modules/deviceAutoOnline/devcieInfo' , data ? data : {} , true, )
    }
    //普通删除
    getdelete(deployCode,data){
        return httpService.get(`modules/deviceAutoOnline/delete/${deployCode}` , data ? data : {} , true)
    }
    //普通开始
    getcommitStart(deployCode,data){
        return httpService.get(`modules/deviceAutoOnline/commitStart/${deployCode}` , data ? data : {} , true)
    }
    //加油站删除
    getdeleteother(data){
        return httpService.get(`modules/deviceAutoOnline/delete/other` , data ? data : {} , true)
    }
    //加油站开始
    getcommitStartother(data){
        return httpService.get(`modules/deviceAutoOnline/commitStart/other` , data ? data : {} , true)
    }
    //配置文件详情
    getConfigFileInfo(configCode,qryType,data){
        return httpService.get(`modules/config/info/${configCode}/${qryType}` , data ? data : {} , true)
   }

}
export  default  deviceConfigOnline
