import httpService from './http.service'
class deviceUpgrade {
    constructor(vueThis) {
        this.vm = vueThis;  //vue中的this  也可以不用
    }
    //设备升级列表
    getUpgradeList(data){
        return httpService.get(`modules/deviceupgrade/list` , data ? data : {} , true)
    }
    //查询任务详情
    discoveryTaskDetailInfo(data){
        return httpService.get(`modules/deviceupgrade/info` , data ? data : {} , true)
    }
    //设备升级列表
    getUpgradeOsverList(data){
        return httpService.get(`modules/osversion/list` , data ? data : {} , true)
    }
    //厂商列表
    getDeviceVenList(data){
        return httpService.get(`modules/osversion/vendor/list` , data ? data : {} , true)
    }
    //型号列表
    getModelCodeList(data){
        return httpService.get(`modules/osversion/model/list` , data ? data : {} , true,{loading:1})
    }
    //升级版本列表
    getOsversionList(data){
        return httpService.get(`modules/osversion/list` , data ? data : {} , true,{loading:1})
    }
    //新增修改里面的设备列表
    getEquipmentList(data){
        return httpService.get(`modules/equipment/list` , data ? data : {} , true,{loading:1})
    }
    //新增修改
    addDeviceTask(doThing,data){
        return httpService.post(`modules/deviceupgrade/${doThing}` , data ? data : {} , true)
    }
    //删除vpn
    deleteDiscover(discoveryTaskCode,data){
        return httpService.get(`modules/deviceupgrade/delete/${discoveryTaskCode}` , data ? data : {} , true)
    }
    //停止vpn
    stopDiscover(discoveryTaskCode,data){
        return httpService.get(`modules/deviceupgrade/commitStop/${discoveryTaskCode}` , data ? data : {} , true,{loading:1})
    }
    //开始vpn
    startDiscover(discoveryTaskCode,data){
        return httpService.get(`modules/deviceupgrade/commitStart/${discoveryTaskCode}` , data ? data : {} , true,{loading:1})
    }

    
   
}
export  default  deviceUpgrade;