import httpService from './http.service'

class devicelistService {
    constructor(vueThis) {
        this.vm = vueThis;  //vue中的this  也可以不用
    }
    //设备列表 
    getdeviceAutoConfig(data){
        return httpService.get('modules/deviceAutoConfig/list' , data ? data : {} , true, )
    }
    //设备列表详情
    getdeviceAutoConfiginfo(code,data){
        return httpService.get(`modules/deviceAutoConfig/info/${code}` , data ? data : {} , true, )
    }
    //设备备份提交
    getdeviceAutolistScene(data){
        return httpService.get('modules/deviceAutoConfig/listScene' , data ? data : {} , true)
    }
    getdeviceconfig(data){
        return httpService.get('modules/deviceConfigBackup/list' , data ? data : {} , true, )
    }
    // 查询配置文件列表
    getConfigFileList(data){
        return httpService.get(`modules/config/list` , data ? data : {} , true)
    }
    // 查询配置文件列表详情
    getConfigFileInfo(configCode,qryType,data){
        return httpService.get(`modules/config/info/${configCode}/${qryType}` , data ? data : {} , true)
   }
    //xcel上传
    postxcelupLoad(data,devices){
        return httpService.post(`modules/deviceAutoConfig/upLoad/${devices}` , data ? data : {} , true)
    }
    //xcel下载
    downLoadupLoad(configCode,data){
        return httpService.get(`modules/deviceAutoConfig/downLoad/${configCode}` , data ? data : {} , true)
    }
    // 新增
    postseve(data){
        return httpService.post('modules/deviceAutoConfig/save' , data ? data : {} , true)
    }
    // 删除
    getdelete(configCode,data){
        return httpService.get(`modules/deviceAutoConfig/delete/${configCode}` , data ? data : {} , true)
    }
    // 开始
    getcommitStart(configCode,data){
        return httpService.get(`modules/deviceAutoConfig/commitStart/${configCode}` , data ? data : {} , true)
    }
    // 停止
    getcommitStop(configCode,data){
        return httpService.get(`modules/deviceAutoConfig/commitStop/${configCode}` , data ? data : {} , true)
    }
}
export  default  devicelistService
