import httpService from '../http.service'
class warnService {
    constructor(vueThis) {
        this.vm = vueThis;  //vue中的this  也可以不用
    }
    //区域列表接口
    getAreaList(data){

        return httpService.get('alarm/appetp/areaList' ,data ? data: {}, true)
    }
    //企业列表接口

    getEptListByAreaCode(data){

        return httpService.get('alarm/appetp/etpList' ,data ? data: {}, true)
    }

    //区域 企业 code 获取列表
    getAreaEptList(data){
        return httpService.get('alarm/appetp/list' , data ? data : {} ,true)
    }
    //报警列表
    getWarnList(data){
        return httpService.get('alarm/app/list', data ? data : {}, true)
    }
    //报警列表详情echarts 数据
    getEcharts(data){
        return httpService.get('alarm/app/checkAppImageDetail', data ? data : {}, true)
    }
    //报警配置页面接口
    getalarmList(data){
        return httpService.get('alarm/set/list', data ? data : {}, true)
    }
    //报警配置联系人列表

    getContactroupList(data){
        return httpService.get('alarm/contactGroup/list', data ? data : {}, true)
    }

    //保存报警配置
    alarmSave(data){
        return httpService.post('alarm/set/save', data ? data : {}, true)
    }
    //更新报警配置
    alarmUpdate(data){
        return httpService.put('alarm/set/update', data ? data : {}, true)
    }
    //删除报警配置
    alarmDel(data){
        return httpService.deleteOut('alarm/set/delete', data ? data : {}, true)
    }
    //联系人组(新增联系人组)
    contactGroupSave(data){
        return httpService.post('alarm/contactGroup/save', data ? data : {}, true)
    }
    //联系人组(编辑联系人组)
    contactGroupUpdate(data){
        return httpService.put('alarm/contactGroup/update', data ? data : {}, true)
    }
    //联系人组(删除联系人组)
    contactGroupDel(data){
        return httpService.deleteOut('alarm/contactGroup/delete', data ? data : {}, true)
    }
    //新增联系人
    contractSave(data){
        return httpService.post('alarm/contact/save', data ? data : {}, true)
    }
    //编辑联系人
    contractUpdate(data){
        return httpService.put('alarm/contact/update', data ? data : {}, true)
    }
    //删除联系人
    contractDel(data){
        return httpService.deleteOut('alarm/contact/delete', data ? data : {}, true)
    }
    //拓扑
    getPartTopu(data){
        return httpService.get('modules/topo/listtopopart' , data ? data : {} ,true)
    }
}
export  default  warnService
