import httpService from './http.service'

class facilityService {
    constructor(vueThis) {
        this.vm = vueThis;  //vue中的this  也可以不用
    }
    //厂商列表数据
    getvendorList(data){
        return httpService.get('modules/osversion/vendor/list' , data ? data : {} , true)
    }
    //获取型号数据
    getmodelCodeList(data){
        return httpService.get('modules/osversion/model/list' , data ? data : {} , true)
    }
    //资源池接口
    getippoolInfo(data){
        return httpService.get(`modules/ippool/list/` , data ? data : {} , true)
    }
    //核心数据接口
    getequipmentInfo(data){
        return httpService.get(`modules/equipment/list` , data ? data : {} , true)
    }
    //添加设备
    addDeviceTask(type,data){
        return httpService.post(`modules/ippool/${type}/` , data ? data : {} , true)
    }
     //自定义加油站应用场景设备列表详情
    getdeviceAutoOnlineInfoother(data){
        return httpService.get('modules/deviceAutoOnline/info/other' , data ? data : {} , true, )
    }
    //提交数据接口
    adddeviceAutoOnline(type,data){
        return httpService.post(`modules/deviceAutoOnline/${type}/other` , data ? data : {} , true)
    }

}
export  default  facilityService
