import httpService from './http.service'

class workService {
  constructor(vueThis) {
    this.vm = vueThis;  //vue中的this  也可以不用
  }
  //vpn列表
  getVpnList(data){
    return httpService.get(`modules/business/list` , data ? data : {} , true)
  }
  //根据vpnName 查询已经接入设备列表和操作历史
  getDetailByVpnName(vpnName,data){
    return httpService.get(`modules/business/list/${vpnName}` , data ? data : {} , true)
  }
  //根据vpnName和devId 查询 已接入业务设备列表设备信息
  getDeviceInfoByIdAndVpnName(data){
    return httpService.get(`modules/business/device/info` , data ? data : {} , true)
  }
  //根据detailId 查询业务部署状态分析
  getDeployByDetailId(data){
    return httpService.get(`modules/business/info` , data ? data : {} , true)
  }
  //业务部署状态分析全部部署


  //根据vpnName查询设别列表部署情况
  getBoardList(data){
    return httpService.get(`modules/business/board` , data ? data : {} , true)
  }
  //根据devId 和 iftype 查询vlan场景下设备信息
  getBoardListByIdAndType(data){
    return httpService.get(`modules/business/board/info` , data ? data : {} , true)
  }
  //更新vpn设备和业务关系 / 重新部署
  updateWorkBusiness(data){
    return httpService.post(`modules/business/update` , data ? data : {} , true)
  }
  //根据 接口编码ifIndex  设备编码devId 接口类型ifType 查询  子接口或者vlan 下接口详情
  getSubInterfaceList(data){
    return httpService.get(`modules/business/board/list` , data ? data : {} , true)
  }
  //查询业务参数
  getBusinessInfoList(data) {
    return httpService.get(`modules/business/info/list` , data ? data : {} , true)
  }
  //根据devId查询实际视图设备信息
  getSectionListById(data){
    return httpService.get(`/modules/netasset/section/list` , data ? data : {} , true)
  }

}
export  default  workService
