import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
import 'element-ui/lib/theme-chalk/index.css'
import './style/toast.scss'
import ElementUI from 'element-ui'
import echarts from 'echarts'
import toast from "./utils/toast";
import $ from 'jquery'
//引入阿里图标库
import '@/assets/fos/iconfont/iconfont.css'
Vue.use(ElementUI)
Vue.config.productionTip = false

Vue.filter('numberTans', function (value) {
  if(value >= 1048576){
    let realVal = Number(value/1048576).toFixed(2)
    return Number(realVal) + "T"
  }
  if(value >= 1024 && value < 1048576){
    let realVal = Number(value/1024).toFixed(2)
    return Number(realVal) + "G"
  }
  if(value <1024){
    let realVal = Number(value).toFixed(2)
    return Number(realVal) + "M"
  }
})


window._toast = toast
window._store = store
window.$ = $
new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')
