import httpService from './http.service'

class approvalService {
    constructor(vueThis) {
        this.vm = vueThis;  //vue中的this  也可以不用
    }
    //审批是否开启等信息
    getOpenSysApprovalInfo(data) {
        return httpService.get(`modules/approval/approveinfo` , data ? data : {} , true)
    }
    //审批历史列表
    getApprovalList(data) {
        return httpService.get(`modules/approval/list` , data ? data : {} , true)
    }
    //审批实例详情
    getApprovalInstanceDetail(data) {
        return httpService.get(`modules/approval/instancedetaillist` , data ? data : {} , true)
    }
    //vpn设备操作明细
    getApprovalServiceDetail(data) {
        return httpService.get(`modules/approval/servicedetaillist` , data ? data : {} , true)
    }
    //vpn操作明细
    getDevDetail(data) {
        return httpService.get(`modules/approval/devdetaillist` , data ? data : {} , true)
    }
    //查询业务参数
    getDocumentList(data) {
        return httpService.get(`modules/approval/documentlist` , data ? data : {} , true)
    }
    //申请列表查询
    getApplyList(data) {
        return httpService.get(`modules/approval/applylist` , data ? data : {} , true)
    }
    //待办列表查询
    getTodoItemList(data) {
        return httpService.get(`modules/approval/applicationlist` , data ? data : {} , true)
    }
    //审批
    approveApproval(data) {
        return httpService.post(`modules/approval/approve`, data ? data : {} , true)
    }
}
export default approvalService