import httpService from './http.service'

class facilityService {
    constructor(vueThis) {
        this.vm = vueThis;  //vue中的this  也可以不用
    }
    //设备列表 根据设备名称和ip
    getfacilityList(data){
        return httpService.get('modules/discovery/list' , data ? data : {} , true)
    }
    //删除某个设备
    deleteDevice(devId,data){
        return httpService.post(`modules/device/delete/${devId}` , data ? data : {} , true)
    }
    //添加设备
    addDeviceTask(type,data){
        return httpService.post(`modules/discovery/${type}/` , data ? data : {} , true)
    }
    //查询未纳管设备列表
    equpmentList(data){
        return httpService.get('modules/equipment/list' , data ? data : {} , true)
    }
    //查询任务详情
    discoveryTaskDetailInfo(discoveryTaskCode,data){
        return httpService.get(`modules/discovery/info/${discoveryTaskCode}` , data ? data : {} , true)
    }
    //任务结果列表
    discoveryHistoryList(data){
        return httpService.get(`modules/discovery/historylist` , data ? data : {} , true)
    }
    //删除vpn
    deleteDiscover(discoveryTaskCode,data){
        return httpService.get(`modules/discovery/delete/${discoveryTaskCode}` , data ? data : {} , true)
    }
    //停止vpn
    stopDiscover(discoveryTaskCode,data){
        return httpService.get(`modules/discovery/commitStop/${discoveryTaskCode}` , data ? data : {} , true)
    }
    //开始vpn
    startDiscover(discoveryTaskCode,data){
        return httpService.get(`modules/discovery/commitStart/${discoveryTaskCode}` , data ? data : {} , true)
    }

}
export  default  facilityService
