import httpService from './http.service'

class facilityService {
    constructor(vueThis) {
        this.vm = vueThis;  //vue中的this  也可以不用
    }
    //设备列表 根据设备名称和ip
    getiplityList(data){
        return httpService.get('modules/ippool/list' , data ? data : {} , true)
    }
    //删除某个设备
    deleteDevice(ipResPoolCode,data){
        return httpService.get(`modules/ippool/delete/${ipResPoolCode}` , data ? data : {} , true)
    }
    //添加设备
    addDeviceTask(type,data){
        return httpService.post(`modules/ippool/${type}/` , data ? data : {} , true)
    }
    //IP任务详情
    discoveryTaskDetailInfo(data){
        return httpService.get(`modules/ippool/info/` , data ? data : {} , true)
    }

}
export  default  facilityService
